import { Component, EventEmitter, Output } from '@angular/core';
import { Router } from '@angular/router';

@Component({
  selector: 'shared-navigation-user',
  templateUrl: './navigation-user.component.html',
  styleUrls: ['./navigation-user.component.css']
})
export class NavigationUserComponent {

  @Output()
  public toggleSidebarEvent: EventEmitter<void> = new EventEmitter<void>();

  constructor(private router: Router) { }

  toggleSidebar():void {
    this.toggleSidebarEvent.emit();
  }

  goToLogin(): void {
    this.router.navigate(['/sign-in']);
  }
}
